EncodingStateImpl (Grails 6.0.0)

Package: org.grails.encoder

## [Java] Class EncodingStateImpl

- org.grails.encoder.EncodingStateImpl

- All Implemented Interfaces and Traits:
    EncodingState

      public class EncodingStateImpl
      extends java.lang.Object
      implements EncodingState

  Default implementation of EncodingState

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static EncodingState` | `UNDEFINED_ENCODING_STATE` |
    `private java.util.Set<Encoder>` | `encoders` |
    `private EncodingState` | `previousEncodingState` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EncodingStateImpl (java.util.Set<Encoder> encoders, EncodingState previousEncodingState)` Default constructor
    `EncodingStateImpl (Encoder encoder, EncodingState previousEncodingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public EncodingState` | `appendEncoder(Encoder encoder)`
    `` | `public boolean` | `equals(java.lang.Object obj)`
    `` | `public java.util.Set<Encoder>` | `getEncoders()`
    `` | `public EncodingState` | `getPreviousEncodingState()`
    `` | `public int` | `hashCode()`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final EncodingState UNDEFINED_ENCODING_STATE

    - #### private final java.util.Set<Encoder> encoders

    - #### private final EncodingState previousEncodingState

  - ### Constructor Detail

    - #### public EncodingStateImpl(java.util.Set<Encoder> encoders, EncodingState previousEncodingState)

      Default constructor

      Parameters:
        `encoders` - the encoders

    - #### public EncodingStateImpl(Encoder encoder, EncodingState previousEncodingState)

  - ### Method Detail

    - #### public EncodingState appendEncoder(Encoder encoder)

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### public java.util.Set<Encoder> getEncoders()

    - #### @java.lang.Override public EncodingState getPreviousEncodingState()

    - #### @java.lang.Override public int hashCode()

    - #### @java.lang.Override public java.lang.String toString()